﻿Imports System.Data
Imports System.Data.SqlClient

Public Class Form1
    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim constr As String = "Data Source=.\SQL2017;Initial Catalog=AjaxSamples;Integrated Security=true"
        Using con As SqlConnection = New SqlConnection(constr)
            Using sda As SqlDataAdapter = New SqlDataAdapter("SELECT CustomerId, Name FROM Customers", con)
                'Fill the DataTable with records from Table.
                Dim dt As DataTable = New DataTable()
                sda.Fill(dt)

                'Loop through the DataTable.
                For Each row As DataRow In dt.Rows
                    'Add Item to ListView.
                    Dim item As ListViewItem = New ListViewItem(row("Name").ToString())
                    item.SubItems.Add(row("CustomerId").ToString())
                    lvCustomers.Items.Add(item)
                Next

                lvCustomers.View = View.List
            End Using
        End Using
    End Sub

    Private Sub ListView1_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles lvCustomers.SelectedIndexChanged
        If lvCustomers.SelectedItems.Count > 0 Then
            Dim message As String = "Name: " & lvCustomers.SelectedItems(0).Text & Environment.NewLine
            message &= "ID: " & lvCustomers.SelectedItems(0).SubItems(1).Text
            MessageBox.Show(message)
        End If
    End Sub
End Class
